Bug 522359 - MRG 1.1 SMI remeidation support for HS22 and Rackmounts
Summary: MRG 1.1 SMI remeidation support for HS22 and Rackmounts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 1.1
Hardware: x86_64
OS: All
low
medium
Target Milestone: 1.1.9
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: David Sommerseth
URL:
Whiteboard:
Depends On:
Blocks: 531286
TreeView+ depends on / blocked
 
Reported: 2009-09-10 07:00 UTC by IBM Bug Proxy
Modified: 2016-05-22 23:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 531286 (view as bug list)
Environment:
Last Closed: 2009-11-03 18:22:35 UTC


Attachments (Terms of Use)
i7core edac support kernel patch (65.95 KB, text/plain)
2009-09-10 07:00 UTC, IBM Bug Proxy
no flags Details
ibm-prtmd userspace code update for the new systems (4.15 KB, text/plain)
2009-09-10 07:00 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1540 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2009-11-03 18:21:07 UTC
IBM Linux Technology Center 56070 None None None Never

Description IBM Bug Proxy 2009-09-10 07:00:37 UTC
=Comment: #0=================================================
KEITH MANNTHEY <kmannth@us.ibm.com> - 
This represents the patches and code needed to support SMI remediation for the HS22 and x3650m2 and
x3550m2 systems. 

There kernel changes are related to bring the i7core_edac driver and the userspace changes are just
new mapping support. 

Please let me know if anything else is needed.
=Comment: #1=================================================
KEITH MANNTHEY <kmannth@us.ibm.com> - 

i7core edac support kernel patch 

This is the i7core edac driver backport for MRG 1.1 
=Comment: #2=================================================
KEITH MANNTHEY <kmannth@us.ibm.com> - 

ibm-prtmd userspace code update for the new systems 

ibm-prtmd update for HS22 blade and x3650m2 and x3550m2 systems.

Comment 1 IBM Bug Proxy 2009-09-10 07:00:41 UTC
Created attachment 360438 [details]
i7core edac support kernel patch

Comment 2 IBM Bug Proxy 2009-09-10 07:00:44 UTC
Created attachment 360439 [details]
ibm-prtmd userspace code update for the new systems

Comment 3 IBM Bug Proxy 2009-09-10 15:41:32 UTC
------- Comment From niv@us.ibm.com 2009-09-10 11:35 EDT-------
Upped priority, and fixed Remediation spelling in Summary (sorry, it
was bugging me).

Comment 4 Luis Claudio R. Goncalves 2009-09-11 02:40:04 UTC
added userspace patch to ibm-prtm-1.2-2 and kernel patch to kernel 2.6.24.7-134.el5rt. Enabled these config options:

   EDAC_MCE=y
   EDAC_I7CORE=m

So, consider it applied to MRG RT V1

Comment 5 David Sommerseth 2009-10-27 15:26:51 UTC
Verified by code review.  Kernel patch implemented in kernel-rt-2.6.24.7-136 (bz522359-i7core_edac_smi_remediation.patch)

(This bug will be duplicated, to move track the user space separately)

Comment 7 errata-xmlrpc 2009-11-03 18:22:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1540.html

Comment 8 IBM Bug Proxy 2010-01-06 00:00:52 UTC
------- Comment From dsivill@us.ibm.com 2010-01-05 18:54 EDT-------
*** Bug 58977 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.